package com.example.testlayout;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class RelativelayoutActivity extends Activity {
	
	private final String EXTRA_LOGIN = "login";
	private TextView textViewLogin  ;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_relativelayout);
		Intent intent = getIntent();
		String strUserName = intent.getStringExtra(EXTRA_LOGIN);
		textViewLogin = (TextView) findViewById(R.id.textViewLogin);
		textViewLogin.setText(strUserName + " !!");
	}
	
	public void goToTableLayout(View view) {
		Toast.makeText(this, "goToTableLayout", Toast.LENGTH_SHORT).show();
		Intent intent = new Intent(this, TablelayoutActivity.class);
		startActivity(intent);
	}
	
	public void goToGridLayout(View view) {
		Toast.makeText(this, "goToGridLayout", Toast.LENGTH_SHORT).show();
		Intent intent = new Intent(this, GridlayoutActivity.class);
		startActivity(intent);
	}
	
	public void goToFrameLayout(View view) {
		Toast.makeText(this, "goToFrameLayout", Toast.LENGTH_SHORT).show();
		Intent intent = new Intent(this, FramelayoutActivity.class);
		startActivity(intent);
	}
}
